Skip to Content
Blockhash Docs
API referenceWallets
GET
/v1/wallets/{address}/positions

The concentrated-liquidity position NFTs the wallet owns with live liquidity, most recently changed first: each with its pool, range and liquidity, its exact amounts at the pool's price, whether the price is in range, and a USD value.

Path Parameters

address*string

A 20-byte hex address.

Match^0x[0-9a-fA-F]{40}$

Query Parameters

limit?integer
Range1 <= value <= 500
Default100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/wallets/string/positions"
{  "address": "string",  "count": 0,  "positions": [    {      "manager": "string",      "tokenId": "string",      "pool": "string",      "family": "string",      "token0": {        "address": "string",        "symbol": "string",        "decimals": 0      },      "token1": {        "address": "string",        "symbol": "string",        "decimals": 0      },      "fee": 0,      "tickSpacing": 0,      "tickLower": 0,      "tickUpper": 0,      "liquidity": "string",      "currentTick": 0,      "inRange": true,      "amount0": "string",      "amount1": "string",      "valueUsd": 0,      "lastBlock": 0,      "asOf": 0    }  ]}